---
title: About
---
Hello, I'm John.

I grew up in the northeast US, migrated to Chicago, then more recently
to Portland, OR, where I've been for the better part of the last
decade.

![Mt Hood and Trillium Lake, by flickr user [smik67](https://www.flickr.com/photos/smik67/6223213433/), used in accordance with cc-by-nc-md](/images/mthood.jpg)

This is the most recent version of my website, which has a long and
storied history, most of which is best left forgotten. We forget with
such difficulty these days.

Some of my earliest memories are of working with my older sister to
type BASIC programs into our TI 99/4A from a *Family Computing*
magazine. We would trade off who was reading out and who was typing
in. The programs were mostly small games, or the sort of short,
rotating animation that would later make a decent GIF.

Enchanted, rather than deterred, by those early programming
experiences, I've tinkered with software ever since, most of that time
in some professional capacity. Let me know if you're [interested in
working with me](/work.html), or for that matter if you're [interested
in some small things I've built](/stuff.html). I've also been known to
[speak at conferences](/talks.html), if that's your thing.

If you wish to get in touch with me, then you can email me at an
address comprised of the word "site", an at sign (@), and the domain
name this site is hosted on (a ".org" domain named after a longtime
pseudonym, "phaedrusdeinus"). I don't have a strong history of
correspondence, but I will try to get back to you.


### About this blog

This blog is generated using [Hakyll](http://jaspervdj.be/hakyll), a
static site generator, and leans heavily on the generated sample
site. The tags capability was added based on [this blog
entry](https://javran.github.io/posts/2014-03-01-add-tags-to-your-hakyll-blog.html). Math
support, via [MathJax](), was added based on [this blog
entry](https://www.jdreaver.com/posts/2014-06-22-math-programming-blog-hakyll.html). The
code to put the most recent post on the index page was adapted [from
this
code](https://github.com/lettier/lettier.github.io/blob/hakyll/build_deploy.hs).

I used emacs, git, [the gimp](https://www.gimp.org/), and
[gogs](http://gogs.io/) in the construction and maintenance of the
site.
